> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kadoa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a Workflow Assistant message

> Bootstraps or reuses the workflow's customer Assistant session and enqueues update instructions without changing the workflow ID.



## OpenAPI

````yaml post /v5/agent/workflows/{workflowId}/assistant/messages
openapi: 3.0.3
info:
  title: Kadoa API
  version: 3.0.0
  contact:
    name: Support
    email: support@kadoa.com
servers:
  - url: https://api.kadoa.com
security: []
paths:
  /v5/agent/workflows/{workflowId}/assistant/messages:
    post:
      tags:
        - Agent
      summary: Request an Assistant update to an existing workflow
      description: >-
        Bootstraps or reuses the workflow's customer Assistant session and
        enqueues update instructions without changing the workflow ID.
      operationId: v5AgentWorkflowAssistantMessage
      parameters:
        - name: workflowId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WorkflowAssistantMessageRequest'
      responses:
        '202':
          description: Workflow Assistant update accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkflowAssistantMessageResponse'
        '400':
          description: Invalid workflow ID or request body
        '404':
          description: Workflow or Assistant session not found
        '409':
          description: Assistant session or thread conflict
components:
  schemas:
    WorkflowAssistantMessageRequest:
      type: object
      required:
        - prompt
      properties:
        prompt:
          type: string
          minLength: 1
          description: Natural-language instructions for updating the existing workflow.
        threadId:
          type: string
          format: uuid
          nullable: true
          description: >-
            Assistant thread to continue. Omit to use the workflow's latest
            Assistant thread.
    WorkflowAssistantMessageResponse:
      type: object
      required:
        - data
        - status
        - message
      properties:
        data:
          type: object
          required:
            - jobId
            - sessionId
            - threadId
            - workflowId
          properties:
            jobId:
              type: string
              nullable: true
            inputEventId:
              type: string
            sessionId:
              type: string
              format: uuid
            threadId:
              type: string
              format: uuid
            workflowId:
              type: string
              format: uuid
            existed:
              type: boolean
            alreadyBootstrapped:
              type: boolean
        status:
          type: string
          enum:
            - success
        message:
          type: string

````